Subject: Re: bug#31880: 26.1; VC mode line popup when clicked is off screen

From: João Távora <[email-masked]>
Date: Mon, 25 Jun 2018 11:33:04 +0100

martin rudalics <[email-masked]> writes:

>> When I use Emacs via the GUI and I maximize the window, clicking on a
>> git branch in the mode line of a buffer produces the actions popup, but
>> it is unusable because it is either squished at the bottom of the screen
>> or it extends off the buttom of the screen. If I make the Emacs frame
>> smaller so that the bottom of the frame is not at the bottom of the
>> screen, then I get a usable scrollable list of VC actions when I click
>> the git branch information in the mode line.
>>
>> It seems like this popup always popups up below/beneath/downward of the
>> Emacs frame. Instead, if the bottom of the frame is at the bottom of the
>> screen (or close to it even, maybe?), then the VC popup should display
>> above/upwards.
>>
>>
>> In GNU Emacs 26.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)
>>   of 2018-05-29 built on lcy01-amd64-029
>> Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
>> System Description:	Pop!_OS 18.04 LTS
>
> Thank you for your report.  Similar problems have been mentioned in
> bugs 24084, 25064, 26130, 26855 and 27131, most of them for Emacs 25
> and GTK 3.22.

FWIW, I have a very similar same problem with the Lucid toolkit, and not
just for the VC popup: for all but the shortest popups it extends off
the usable area of the screen, to the bottom.

> Can you see related GTK error messages when running
> Emacs from a console?  Are you using multiple monitors, a high
> resolution display or any other peculiar configuration that has been
> mentioned in those reports?

I don't see any in the console.

João